/* eslint-disable semi */
<template>
  <b-container>
    <b-row>
      <b-col
        class="col-lg-4 col-md-6 col-sm-12 col-12 d-flex align-items-stretch pb-3"
        v-for="quote in quotes"
        :key="quote.id"
      >
        <div class="cardcontainer">
          <b-card>
            <router-link
              :to="{ name: 'detail', params: { id: quote.id }}"
              class="cardlinkdetail"
            >
              <blockquote class="blockquote mb-0">
                <p v-html="'&quot'+ quote.en + '&quot'"></p>
                <footer>
                  <span
                    class="blockquote-footer"
                    v-html="quote.author"
                  ></span>
                </footer>
              </blockquote>
            </router-link>
            <template v-slot:footer>
              <div class="iconcontainer">
                <font-awesome-icon
                  class="icons"
                  :icon="['fas', 'star']"
                />
                <small v-text="quote.rating"></small>
              </div>
            </template>
          </b-card>
        </div>
      </b-col>
    </b-row>
  </b-container>
</template>

<script lang="ts">
// eslint-disable-next-line semi
import Vue from 'vue';

// eslint-disable-next-line semi

export default Vue.extend({
  name: 'Quotes',
  props: {
    quotes: {
      type: Array,
      required: true
    }
  }
})
</script>

<style scoped>
.cardlinkdetail {
  color: inherit;
  text-decoration: none;
}
.cardcontainer {
  display: flex;
  justify-content: flex-end;
}
.cardcontainer :hover {
  background: #ffa366;
  transition: 0.4s;
}
.iconcontainer {
  display: flex;
  justify-content: flex-end;
}
@media screen and (max-width: 991px) {
  p {
    font-size: 15px;
  }
  .dropdown-menu li {
    font-size: 12px;
  }
}
</style>
